-- =============================================  
-- Author:  Caruso Fabrizio  
-- Create date: 17/09/2014  
-- Description:   
-- Individuazione dei Clienti che presentano in Anagrafica caratteri anomali nei campi che formano l’indirizzo di   
-- domiciliazione del contratto di consulenza  
-- Impostazione Codice TIPO CONTROLLO per il controllo specifico   
-- ( per riferimenti al tipo controllo verificare tabella "tb_tipocontrollo" )  
-- =============================================  
-- [C6MartPeriodico].[SP_DQ_CaratteriAnomali] 2  
CREATE procedure [C6MartPeriodico].[SP_DQ_ScartiAPI]   
@idFaseElaborazione int  
AS  
BEGIN  
Declare @idTipoControllo int  
set @idTipoControllo=16     
--select * from C6MartPeriodico.TB_SegnalazioniDataQuality where idTipoControllo=16  
declare @idElab  int  
select @idElab=max(id_elab) from  c6martperiodico.elaborazioni  
--select * from c6martperiodico.tb_tipocontrollo  
Insert into C6MartPeriodico.TB_SegnalazioniDataQuality  
(   
idTipoControllo,  
rete,  
codiceFiscale,  
descSegnalazione,  
idElaborazione,  
richiesta,  
idFaseElaborazione)  
select @idTipoControllo,rete,case when codman<>'' then 'FF@'+codman 
 when piva<>'' then piva
else codfis end as codicefiscale,  
tipo.descSegnalazione+ ' IGNORA L''ERRORE verra recuperato al giro successivo automaticamente' ,@idelab,'',@idFaseElaborazione  
from C6StagingPeriodico.TRIMESTRALE_SCARTI tbErr  
inner join c6martperiodico.tb_tipocontrollo Tipo  
on @idTipoControllo = tipo.idTipoControllo  
where BLACKLIST='in errore API Sei'
end